import request from '@/utils/request'

// 查询危险废物出入库月报列表
export function listDangermonth(query) {
  return request({
    url: '/ehs/dangermonth/list',
    method: 'get',
    params: query
  })
}

// 查询危险废物出入库月报详细
export function getDangermonth(id) {
  return request({
    url: '/ehs/dangermonth/' + id,
    method: 'get'
  })
}

// 新增危险废物出入库月报
export function addDangermonth(data) {
  return request({
    url: '/ehs/dangermonth',
    method: 'post',
    data: data
  })
}

// 修改危险废物出入库月报
export function updateDangermonth(data) {
  return request({
    url: '/ehs/dangermonth',
    method: 'put',
    data: data
  })
}

// 删除危险废物出入库月报
export function delDangermonth(id) {
  return request({
    url: '/ehs/dangermonth/' + id,
    method: 'delete'
  })
}

// 导出危险废物出入库月报
export function exportDangermonth(query) {
  return request({
    url: '/ehs/dangermonth/export',
    method: 'get',
    params: query
  })
}